Skip to main content
GET
/
orders
List orders
curl --request GET \
  --url https://api.tickable.io/orders \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
      "event_id": "550e8400-e29b-41d4-a716-446655440000",
      "event_timeslot_id": "d4e5f6a7-8901-4b2c-3d4e-5f6a7b8c9d0e",
      "buyer_name": "Jane Doe",
      "buyer_email": "jane@example.com",
      "channel": "shop",
      "payment_method": "ideal",
      "total_price": 50,
      "refunded": 0,
      "payed_at": "2026-06-15T14:30:00Z",
      "created_at": "2026-06-15T14:25:00Z"
    }
  ],
  "pagination": {
    "total": 142,
    "limit": 25,
    "offset": 0,
    "has_more": true
  }
}

Authorizations

Authorization
string
header
required

Pass as Authorization: Bearer {token}. Accepts either an OAuth2 JWT access token or an API key (tk_live_...) created from the Tickable dashboard.

Query Parameters

limit
integer

Max results per page (default 25, max 100)

Required range: 1 <= x <= 100
Example:

25

offset
integer | null

Number of results to skip

Required range: x >= 0
Example:

0

sort
string

Sort field and direction, e.g. created_at:desc

Example:

"created_at:desc"

event_id
string<uuid>

Filter by event ID

Example:

"550e8400-e29b-41d4-a716-446655440000"

Response

200 - application/json

Paginated list of orders

data
object[]
required
pagination
object
required